**    ModelEco : MODELisation en programmation mathmatique pour l'analyse ECOnomique de l'agriculure    **

*-----------------------------------------------------------------------------*
$Ontext
Nom              rotation1.gms
Sequence         2 - Le modle d'exploitation agricole
Type             LP
Langage GAMS     SUBSET
Description

Source : rseau INOSYS des chambres d'agriculture de la rgion Centre Val de Loire

Un agriculteur du Centre-Val de Loire en grandes cultures ave cultures spciales dispose de 110 ha de terre.
En partie grce  l'environnement conomique il a le choix entre un grand ventail de productions possibles :
bl tendre, bl dur, orge de printemps, pommes de terre de consommation, betteraves et orge.
Cinq de ses cultures sont irrigues pour permettre une production rgulire de qualit.
Les besoins en irrigation et les donnes conomiques sont donnes dans les tableaux ci-dessous :

Irrigation
Cultures         Vol en m3/ha
Bl tendre       175
Bl dur          350
Orge de print    700
Pdt conso        1800
Betteraves       1750

Situation technico-conomiques
Cultures         Rendements (qx/ha)      Prix/qx ()     Charges totales (/ha)
Bl tendre       85                      16              460
Bl dur          71                      28              565
Orge de print    70                      17.5            470
Pdt conso.       495                     14              4210
Betteraves       950                     2.6             1082
Colza            40                      38              490

Pour des raisons agronomiques, les olagineux ne peuvent pas revenir plus d'une anne sur trois sur la mme parcelle,
les crales ne peuvent pas tre cultives plus de deux ans de suite et
les betteraves et les pommes de terre ensemble ne peuvent pas revenir plus d'une anne sur six sur la mme parcelle.

Lobservation des pratiques des agriculteurs met en avant que seulement trois rotations sont pratiques sur la rgion :

    Betteraves/Bl tendre/Orge/Colza/Bl tendre/Bl dur
    Colza/Bl tendre/Orge/Pommes de terre/Bl tendre/Bl dur
    Colza/Bl tendre/Orge/Colza/Bl tendre/Bl dur
"



$Offtext


*----------                          INDICES                        ----------*
sets
A activits      /rot1, rot2, rot3/
;

*----------                          DONNEES                        ----------*
scalar
DTERRE disponibilite de terre en hectares        /110/
DEAU   disponibilite en eau                      /60000/
;

parameter BEAU(A) besoins en eau par culture et technique (m3 par ha)
/rot1 525
 rot2 533.333
 rot3 233.333/
;

parameter
Mb(A)
/rot1  916
 rot2 1288
 rot3 1006.333
/
;

*----------                         MODELE                          ----------*
variables
Z    revenu total de l exploitation (euros)
;

positive variables
X     superficie par culture (hectares)
;

equations
   OBJECTIF       fonction objectif
   TERRE          contrainte de terre
   EAU            contrainte d'irrigation
;

OBJECTIF..       sum (A, MB(A)* X(A)) =E= Z ;

TERRE..          sum(A, X(A)) =l= dterre  ;

EAU..            sum(A, BEAU(A)*X(A)) =l= deau  ;

model modelS2 premier exemple /all/;

*----------                        SOLUTION                         ----------*
solve modelS2 using LP maximizing Z;





